qt6-webengine (6.10.2+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix build failure with gcc-16 (Closes: #1133615).

 -- Patrick Franz <deltaone@debian.org>  Mon, 17 Aug 2026 23:19:54 +0200

qt6-webengine (6.10.2+dfsg-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove kernel version from build artifacts to ensure reproducible
    builds.
  * Bump Standards-Version to 4.7.4 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 30 May 2026 23:08:07 +0200

qt6-webengine (6.10.2+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 19 Mar 2026 20:44:51 +0100

qt6-webengine (6.10.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Use the default-gcc on arm64 as it now builds with GCC-15 (Closes:
    #1129514).

 -- Patrick Franz <deltaone@debian.org>  Fri, 06 Mar 2026 23:55:26 +0100

qt6-webengine (6.10.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update ABI to 6.10.2.
  * Update d/watch to format version 5.
  * Adjust files to be excluded from the tarball.
  * Refresh patches.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Feb 2026 13:40:14 +0100

qt6-webengine (6.9.2+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix build with glibc 2.43 (Closes: #1128868).

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Mar 2026 16:09:16 +0100

qt6-webengine (6.9.2+dfsg-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Nov 2025 23:41:20 +0100

qt6-webengine (6.9.2+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:11:43 +0200

qt6-webengine (6.9.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Use gcc-14 for builds on arm64.
  * Add patch to fix GPU rendering with Mesa 25.2.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Sep 2025 20:29:36 +0200

qt6-webengine (6.9.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update ABI to 6.9.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Sep 2025 11:10:29 +0200

qt6-webengine (6.9.1+dfsg-5) experimental; urgency=medium

  [ Patrick Franz ]
  * New binary package qt6-pdf-private-dev.

 -- Patrick Franz <deltaone@debian.org>  Thu, 28 Aug 2025 21:50:31 +0200

qt6-webengine (6.9.1+dfsg-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove inactive uploaders, thank you for your work.
  * Remove redundant build-dependencies.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 27 Aug 2025 21:25:05 +0200

qt6-webengine (6.9.1+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update ABI to 6.9.1.
  * Add patch to avoid i386 make use of _mm_cvtsi128_si64 as that is
    only available on x86_64.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Aug 2025 18:42:20 +0200

qt6-webengine (6.9.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Require SSE2 for i386 CPUs as that is now required to compile qt6-
    webengine.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Aug 2025 18:04:02 +0200

qt6-webengine (6.9.1+dfsg-1) experimental; urgency=medium

  [ Soren Stoutner ]
  * Remove debian/salsa-ci.yml, which is currently non-fuctional because
    of the size of the artifacts that are generated.

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Adjust files to be excluded from the tarball.
  * Refresh patches.
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 12 Aug 2025 19:06:45 +0200

qt6-webengine (6.8.2+dfsg-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Move all the development files for Qt6Pdf from qt6-webengine-dev to
    qt6-pdf-dev, so that cmake-based builds using only Qt6Pdf without WebEngine
    works (Closes: #1100320)
    - add proper breaks/replaces
  * Bump Standards-Version to 4.7.2, no changes required.

  [ Soren Stoutner ]
  * Add debian/salsa-ci.yml, setting the test timeout to be 8 hours.
  * Update my email address in debian/copyright to be soren@debian.org.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Apr 2025 19:50:46 +0200

qt6-webengine (6.8.2+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:31:56 +0100

qt6-webengine (6.8.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Add patch to fix build failure on arm64 due to incompatible pointers
    in xnnpack.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Feb 2025 19:02:11 +0100

qt6-webengine (6.8.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Modify d/watch to go back to the dfsg-suffix.
  * Adjust files to be excluded from the tarball.
  * Bump Qt B-Ds to 6.8.2.
  * Update ABI to 6.8.2.
  * Refresh patches.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Add patch to fix builds with ccache.

 -- Patrick Franz <deltaone@debian.org>  Wed, 12 Feb 2025 21:57:32 +0100

qt6-webengine (6.7.2+dfsg2-2) unstable; urgency=medium

  [ Soren Stoutner ]
  * Add hunspell-bdic.patch and remove90qt6webengine-dictionaries-path.conf (see
    #1092726).
  * Update copyright year for myself in debian/copyright.

 -- Soren Stoutner <soren@debian.org>  Tue, 21 Jan 2025 17:25:46 -0700

qt6-webengine (6.7.2+dfsg2-1) unstable; urgency=medium

  [ Soren Stoutner ]
  * Build-depend on libasound2-dev (Closes: #1091342).
  * Build using system rollup package (Closes: #1023333).
  * Remove non-free WebKitSite.webarchive (Closes: #1091463).
  * Modify debian/watch to create +dfsg2 suffixes.
  * Add myself to uploaders.
  * Update copyright year for myself in debian/copyright.

 -- Soren Stoutner <soren@debian.org>  Fri, 27 Dec 2024 09:22:49 -0700

qt6-webengine (6.7.2+dfsg-9) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove comment in d/rules to fix CMake-arguments (Closes: #1087829).

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 19:30:08 +0100

qt6-webengine (6.7.2+dfsg-8) unstable; urgency=medium

  [ Patrick Franz ]
  * Revert hardcoding QML dependencies in qmldeps.overrides.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Nov 2024 21:39:22 +0100

qt6-webengine (6.7.2+dfsg-7) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix build failure on arch:all (Closes: #1087605).
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Nov 2024 16:13:54 +0100

qt6-webengine (6.7.2+dfsg-6) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Enable QML detection for examples package.
  * Correct wrong QML depdendecy on QtQuickControls2 with qml6-module-
    qtquick-controls.
  * Override examples own QML modules.

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Nov 2024 20:55:22 +0100

qt6-webengine (6.7.2+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Let qt6-webengine-dev-tools depend on libqt6webengine6-data as
    convert-bdic depends on the data in libqt6webengine6-data (Closes:
    #1084251).

 -- Patrick Franz <deltaone@debian.org>  Mon, 07 Oct 2024 19:27:59 +0200

qt6-webengine (6.7.2+dfsg-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:12:52 +0200

qt6-webengine (6.7.2+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 16:08:26 +0200

qt6-webengine (6.7.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 00:17:45 +0200

qt6-webengine (6.7.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Update list of files to be excluded from the tarball.
  * Refresh patches.
  * Bump Qt B-Ds to 6.7.2 and use the bundled ICU as the Debian version
    is too old.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 07 Sep 2024 10:44:04 +0200

qt6-webengine (6.6.2+dfsg-7) unstable; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Aug 2024 08:56:16 +0200

qt6-webengine (6.6.2+dfsg-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix build failure with gcc-14 on armhf due to missing
    <algorithm> include.

 -- Patrick Franz <deltaone@debian.org>  Wed, 14 Aug 2024 10:16:09 +0200

qt6-webengine (6.6.2+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs (Closes: #1075429).

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Jul 2024 21:07:18 +0900

qt6-webengine (6.6.2+dfsg-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:47:27 +0200

qt6-webengine (6.6.2+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Add patch to fix build failure with ninja 1.12.
  * Install v8_context_snapshot.bin.

 -- Patrick Franz <deltaone@debian.org>  Sun, 26 May 2024 18:19:24 +0200

qt6-webengine (6.6.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Refresh patches.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 May 2024 08:31:55 +0200

qt6-webengine (6.6.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Update ABI to 6.6.2.
  * Refresh patches.
  * Update list of installed files.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 19:45:10 +0100

qt6-webengine (6.6.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Dec 2023 06:24:08 +0100

qt6-webengine (6.6.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update ABI to 6.6.1.
  * Remove patches that have been applied upstream.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Dec 2023 08:39:07 +0100

qt6-webengine (6.6.0+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 25 Nov 2023 11:11:30 +0100

qt6-webengine (6.6.0+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Disable check for 32bit Node.js to re-enable building on 32bit-
    architectures.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 24 Nov 2023 18:50:06 +0100

qt6-webengine (6.6.0+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Adjust list of files to be excluded from the tarball.
  * Bump Qt B-Ds to 6.6.0.
  * Refresh patches and remove those that have been applied upstream.
  * Make qtwebengine build with system-libpng (Closes: #1038123).
  * Make qtwebengine build with system-libtiff (Closes: #1033749).
  * Update list of installed files.
  * Update ABI to 6.6.0 and rename it to qt6-webengine-private-abi.
  * Update symbols from buildlogs and use the (symver) directive to
    catch all private symbols.
  * Remove binary package libqt6webenginequickdelegatesqml6.
  * Update lintian-overrides.

  [ Soren Stoutner ]
  * Remove obsolete Lintian overrides.
  * Fix convert-bdic typo in qt6-webengine-dev-tools package description.

 -- Patrick Franz <deltaone@debian.org>  Thu, 23 Nov 2023 18:26:15 +0100

qt6-webengine (6.4.2-final+dfsg-14) unstable; urgency=medium

  * Team upload.
  * Update symbols files from buildds’ logs, to fix FTBFS on armhf.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Mar 2024 21:35:07 +0300

qt6-webengine (6.4.2-final+dfsg-13) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix the zlib build for time_t 64, thx to Matthias Klose.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Mar 2024 08:52:50 +0100

qt6-webengine (6.4.2-final+dfsg-12) unstable; urgency=medium

  [ Patrick Franz ]
  * Replace ffmpeg-remove-x86-optimization.patch with a patch that was
    applied in upstream ffmpeg.
  * Switch to the bundled re2 (Closes: #1053408).

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Oct 2023 21:59:37 +0200

qt6-webengine (6.4.2-final+dfsg-11) unstable; urgency=medium

  * Team upload.
  * Fix build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Aug 2023 15:27:17 -0300

qt6-webengine (6.4.2-final+dfsg-10) unstable; urgency=medium

  * Team upload to unstable.
  * Build all arch:all content as part of the arch:any build.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Aug 2023 14:26:03 -0300

qt6-webengine (6.4.2-final+dfsg-9) unstable; urgency=medium

  [ Patrick Franz ]
  * Limit qt6-webengine-examples to architectures where it can be built.

 -- Patrick Franz <deltaone@debian.org>  Wed, 02 Aug 2023 22:36:54 +0200

qt6-webengine (6.4.2-final+dfsg-8) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and example packages.

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Wed, 02 Aug 2023 15:34:22 +0200

qt6-webengine (6.4.2-final+dfsg-7) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 20 Jul 2023 23:13:26 +0200

qt6-webengine (6.4.2-final+dfsg-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * Add patch to fix build failures with GCC-13 (Closes: #1037828).
  * Do not install examples.

 -- Patrick Franz <deltaone@debian.org>  Wed, 19 Jul 2023 19:03:14 +0200

qt6-webengine (6.4.2-final+dfsg-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Re-enable lto but produce no debug info.

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Jun 2023 12:47:26 +0200

qt6-webengine (6.4.2-final+dfsg-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Disable LTO.

 -- Patrick Franz <deltaone@debian.org>  Wed, 21 Jun 2023 12:11:28 +0200

qt6-webengine (6.4.2-final+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Reduce parallelism during build on armhf and i386.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jun 2023 20:04:29 +0200

qt6-webengine (6.4.2-final+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove ffmpeg code for shift optimization on x86, thx to Dmitry
    Shachnev (Closes: #1038131).

 -- Patrick Franz <deltaone@debian.org>  Mon, 19 Jun 2023 19:30:46 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog qt6-webengine-doc-dev`.
